pipeline {
  agent {
    dockerfile {
      filename 'Dockerfile'
    }

  }
  stages {
    stage('Git') {
      steps {
        git(url: 'https://gitlab.com/carles.mateo/ctop', branch: 'master', poll: true)
      }
    }

    stage('Create Virtual Environment') {
      steps {
        sh '''#!/bin/bash

export WORKSPACE=`pwd`

#sudo apt install -y python3-virtualenv
# Create/Activate virtualenv
virtualenv testenv 
source testenv/bin/activate

pip install -U pytest '''
      }
    }

    stage('Run Tests') {
      steps {
        sh '''#!/bin/bash
export PYTHONPATH="$PYTHONPATH:$PWD/src/ctop"
echo "PYTHONPATH=$PYTHONPATH"
export WORKSPACE=`pwd`

# Create/Activate virtualenv
virtualenv testenv 
source testenv/bin/activate

pytest ./'''
      }
    }

    stage('List contents') {
      steps {
        sh '''echo "Current directory"
pwd
ls -hal'''
      }
    }

  }
}